=== doc/Makefile ===
SHELL=/bin/sh

doc: ../include/*.h
	doxygen doxyfile

clean:
	rm -fr html latex
	rm -fr *~
