=== debian/changelog ===
gyoto (0.0.3-5) unstable; urgency=low

  * skip test suite on mips as lucatelli fails on it (but it runs fine on
    other boxes). (Closes: 681452)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 13 Jul 2012 11:36:16 +0200

gyoto (0.0.3-4) unstable; urgency=low

  * gyoto-dbg must not depend on gyoto on kfreebsd-*, else it is
    uninstallable on these archs.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 11 Jul 2012 14:30:02 +0200

gyoto (0.0.3-3) unstable; urgency=low

  * debian/control Architectures fields should not be folded: previous
    upload led to missing binary packages for some archs.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 11 Jul 2012 13:02:34 +0200

gyoto (0.0.3-2) unstable; urgency=low

  * Bug fix: "FTBFS on kfreebsd-i386 and kfreebsd-amd64 (test suite)",
    (Closes: #679923). The previous "fix" did not work at all. The library
    and the Yorick interface work fine, but not the stand-alone application.
    Disable the "gyoto" binary package and the test suite on kfreebsd-*.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 11 Jul 2012 11:20:09 +0200

gyoto (0.0.3-1+exp1) experimental; urgency=low

  * Bug fix: "FTBFS on kfreebsd-i386 and kfreebsd-amd64 (test suite)"
    (Closes: #679923).
  * Tentative bug fix: "don't rely on yorick to pass the fortified build
    flags" using patch fix_679923_kfreebsd_FTBFS (Closes: #680242).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 10 Jul 2012 10:50:50 +0200

gyoto (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #640809)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 22 Jun 2012 14:22:40 +0200
