=== debian/watch ===
version=3
https://github.com/gyoto/Gyoto/tags .*/tarball/(\d[\d\.]+)
