## gyoto 0.1.0

=== debian/changelog ===
gyoto (0.1.0-2ubuntu2) utopic; urgency=medium

  * Manually patch libtool files to add support for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 08 May 2014 01:57:57 -0400

gyoto (0.1.0-2ubuntu1) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 08 May 2014 01:29:11 -0400

gyoto (0.1.0-2) unstable; urgency=low

  * Bug fix: "fails to upgrade from &#39;testing&#39; - trying to
    overwrite /usr/include/Gyoto/Gyoto.h", thanks to Andreas Beckmann
    (Closes: #718629).

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 03 Aug 2013 22:59:39 +0200

gyoto (0.1.0-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 27 Jul 2013 11:35:04 +0200
