=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 
 # Don't accidentally build the lorene plug-in
 unexport HOME_LORENE
+
+configure_flags = --with-yorick=/usr/bin/yorick --with-udunits --with-xerces \
+	--without-lorene --prefix=/usr --enable-static --enable-shared
 
 install-arch: build-stamp
 	dh_auto_install
@@ -43,6 +46,8 @@
 
 build-stamp:
 	dh_testdir -a
+	dh_autotools-dev_updateconfig
+	./configure $(configure_flags) --disable-doc
 	make COPT_DEFAULT="" \
 	     Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
 	     Y_LDFLAGS="$(LDFLAGS)"
@@ -50,13 +55,14 @@
 ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-i386 kfreebsd-amd64 mips))
 # skip the test suite on kfreebsd-any as gyoto package not beeing built
 # skip on mips as lucatelli2 fails on it (but the binary works on other boxes)
-	make check
+	LANG=C.UTF-8 make check
 endif
 endif
 	touch build-stamp
 
 doc-stamp:
 	dh_testdir -i
+	./configure $(configure_flags) --enable-doc
 	make doc
 	touch doc-stamp
 
@@ -68,9 +74,16 @@
 binary-arch: install-arch
 	dh $@
 
-clean:
+configure-stamp:
+	dh_autotools-dev_updateconfig
+	./configure --without-lorene --prefix=/usr
+	touch configure-stamp
+
+clean: configure-stamp
 	dh_testdir
+	./configure $(configure_flags) --enable-doc
 	make distclean
+	dh_autotools-dev_restoreconfig
 	dh_clean doc-stamp build-stamp
 
 override_dh_auto_test:
