## gyoto 0.2.3

=== debian/changelog ===
gyoto (0.2.3-1) unstable; urgency=medium

  * New upstream release
  * Move to debian-astro team

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 21 Oct 2014 14:21:10 +0200

gyoto (0.2.2-1) unstable; urgency=medium

  * Bug fix: "Please build-depends on libcfitsio-dev instead of
    libcfitsio3-dev", thanks to Aurelien Jarno (Closes: #761709).
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 19 Sep 2014 14:58:00 +0200

gyoto (0.2.1-2) unstable; urgency=medium

  * Remove obsolete lintian overrides
  * Bug fix: "libgyoto2 and libgyoto1: error when trying to install
    together", thanks to Ralf Treinen (Closes: #760444).

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 04 Sep 2014 10:18:16 +0200

gyoto (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Bump SONAME
  * Add manual to gyoto-doc
  * Check against standards version 3.9.5
  * Bug fix: "use autotools-dev to update config.{sub, guess} and manually
    patch libtool for ppc64el", thanks to Logan Rosen (Closes: #748518).

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 01 Sep 2014 15:45:17 +0200
