=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: gyoto
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), yorick-dev, yorick-yutils,
-	       libxerces-c-dev, libcfitsio3-dev, libudunits2-dev, autotools-dev
-Build-Depends-Indep: doxygen, doxygen-latex
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/debian-science/packages/gyoto.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gyoto.git
+	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
+	       libboost-dev (>= 1.53.1), autotools-dev
+Build-Depends-Indep: doxygen, doxygen-latex,
+               texlive-bibtex-extra, texlive-latex-base,
+               texlive-lang-french, tipa
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/debian-astro/packages/gyoto.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/gyoto.git
 Homepage: http://gyoto.obspm.fr
 
 Package: gyoto
@@ -26,9 +28,9 @@
  .
  More complex uses of the Gyoto framework can be achieved using the
  yorick-gyoto package. Gyoto can be extended with plug-ins (see
- libgyoto1-dev).
+ libgyoto2-dev).
 
-Package: libgyoto1
+Package: libgyoto2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: General relativistic geodesic integration and ray-tracing
@@ -36,31 +38,31 @@
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick programing language (in yorick-gyoto). Gyoto
- can be extended with plug-ins (see libgyoto1-dev).
+ can be extended with plug-ins (see libgyoto2-dev).
 
 Package: gyoto-dbg
 Architecture: any
 Section: debug
-Depends: libgyoto1 (= ${binary:Version}),
+Depends: libgyoto2 (= ${binary:Version}),
 	 gyoto (= ${binary:Version}) [!kfreebsd-any],
 	 yorick-gyoto (= ${binary:Version}),
 	 ${misc:Depends}
-Description: debugging symbols for gyoto, libgyoto1 and yorick-gyoto
+Description: debugging symbols for gyoto, libgyoto2 and yorick-gyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick programing language (in yorick-gyoto).
  .
- This package contains the debugging symbols for the gyoto, libgyoto1
+ This package contains the debugging symbols for the gyoto, libgyoto2
  and yorick-gyoto packages.
 
-Package: libgyoto1-dev
+Package: libgyoto2-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto1 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto2 (= ${binary:Version}),
 	 libc-dev, libxerces-c3.1
-Replaces: libgyoto0-dev
-Breaks:   libgyoto0-dev
+Replaces: libgyoto0-dev, libgyoto1-dev
+Breaks:   libgyoto0-dev, libgyoto1-dev
 Description: development files for libgyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
