=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 unexport HOME_LORENE
 
 configure_flags = --with-yorick=/usr/bin/yorick --with-udunits --with-xerces \
-	--without-lorene --prefix=/usr --enable-static --enable-shared
+	--without-lorene --prefix=/usr --enable-static --enable-shared \
+	--with-boost --enable-c++11
 
 install-arch: build-stamp
 	dh_auto_install
@@ -44,25 +45,23 @@
 
 override_dh_auto_build:
 
-build-stamp:
+build-stamp: configure-stamp
 	dh_testdir -a
-	dh_autotools-dev_updateconfig
-	./configure $(configure_flags) --disable-doc
 	make COPT_DEFAULT="" \
 	     Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
-	     Y_LDFLAGS="$(LDFLAGS)"
+	     Y_LDFLAGS="$(LDFLAGS)" \
+	     lib bin yorick
 ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
 ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-i386 kfreebsd-amd64 mips))
 # skip the test suite on kfreebsd-any as gyoto package not beeing built
 # skip on mips as lucatelli2 fails on it (but the binary works on other boxes)
-	LANG=C.UTF-8 make check
+	LC_ALL=C.UTF-8 make check
 endif
 endif
 	touch build-stamp
 
-doc-stamp:
+doc-stamp: configure-stamp
 	dh_testdir -i
-	./configure $(configure_flags) --enable-doc
 	make doc
 	touch doc-stamp
 
@@ -76,15 +75,14 @@
 
 configure-stamp:
 	dh_autotools-dev_updateconfig
-	./configure --without-lorene --prefix=/usr
+	./configure $(configure_flags) --enable-doc
 	touch configure-stamp
 
 clean: configure-stamp
 	dh_testdir
-	./configure $(configure_flags) --enable-doc
 	make distclean
 	dh_autotools-dev_restoreconfig
-	dh_clean doc-stamp build-stamp
+	dh_clean doc-stamp build-stamp configure-stamp
 
 override_dh_auto_test:
