## gyoto 1.0.1

=== debian/changelog ===
gyoto (1.0.1-2) unstable; urgency=low

  * Fix debian/copyright to reflect the doxy2swig.py author to use license
    BSD-3-clause instead of BSD-2-clause.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 03 Jun 2015 12:52:28 +0200

gyoto (1.0.1-1) unstable; urgency=low

  * New upstream release, soname bumped
  * Build the (new) Python extensions
  * Build the (new) MPI machinery
  * Implement as-installed tests using autopkgtest

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 27 May 2015 11:41:09 +0200
