=== debian/control ===
--- 
+++ 
@@ -3,13 +3,19 @@
 Priority: extra
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), yorick-dev, yorick-yutils,
+Build-Depends: debhelper (>= 9~), yorick-dev, yorick-yutils,
 	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
-	       libboost-dev (>= 1.53.1), autotools-dev
-Build-Depends-Indep: doxygen, doxygen-latex,
+	       libboost-dev (>= 1.53.1), libboost-mpi-dev, autotools-dev,
+	       mpi-default-dev, dh-python, python-all-dev (>= 2.6.6-3~),
+	       python-setuptools, python3-all-dev, python3-setuptools,
+	       swig3.0, python-numpy, python3-numpy, doxygen, dh-exec (>=0.3)
+Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
 Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
+Testsuite: autopkgtest
 Vcs-Git: git://anonscm.debian.org/debian-astro/packages/gyoto.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/gyoto.git
 Homepage: http://gyoto.obspm.fr
@@ -17,6 +23,7 @@
 Package: gyoto
 Architecture: linux-any hurd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: mpi-default-bin
 Description: General relativistic ray-tracing
  Gyoto is a framework for computing geodesics in curved
  space-times. The gyoto utility program uses this framework to compute
@@ -27,42 +34,52 @@
  result in FITS format.
  .
  More complex uses of the Gyoto framework can be achieved using the
- yorick-gyoto package. Gyoto can be extended with plug-ins (see
- libgyoto2-dev).
+ yorick-gyoto, python-gyoto or python3-gyoto packages. Gyoto can be
+ extended with plug-ins (see libgyoto4-dev).
+ .
+ MPI parallelization requires the mpi-default-bin package.
 
-Package: libgyoto2
+Package: libgyoto4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Recommends: gyoto
 Description: General relativistic geodesic integration and ray-tracing
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
- a plug-in for the Yorick programing language (in yorick-gyoto). Gyoto
- can be extended with plug-ins (see libgyoto2-dev).
+ a plug-in for the Yorick and Python 2 and 3 programing languages (in
+ yorick-gyoto, python-gyoto and python3-gyoto respectively). Gyoto can
+ be extended with plug-ins (see libgyoto4-dev).
+ .
+ MPI parallelization requires the gyoto and mpi-default-bin packages.
 
 Package: gyoto-dbg
 Architecture: any
 Section: debug
-Depends: libgyoto2 (= ${binary:Version}),
+Depends: libgyoto4 (= ${binary:Version}),
 	 gyoto (= ${binary:Version}) [!kfreebsd-any],
 	 yorick-gyoto (= ${binary:Version}),
+	 python-gyoto (= ${binary:Version}),
+	 python3-gyoto (= ${binary:Version}),
 	 ${misc:Depends}
-Description: debugging symbols for gyoto, libgyoto2 and yorick-gyoto
+Description: debugging symbols for gyoto, libgyoto4 and yorick-gyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
- a plug-in for the Yorick programing language (in yorick-gyoto).
+ a plug-in for the Yorick and Python 2 and 3 programing language (in
+ yorick-gyoto, python-gyoto and python3-gyoto).
  .
- This package contains the debugging symbols for the gyoto, libgyoto2
- and yorick-gyoto packages.
+ This package contains the debugging symbols for the gyoto, libgyoto4,
+ yorick-gyoto, python-gyoto and python3-gyoto packages.
 
-Package: libgyoto2-dev
+Package: libgyoto4-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto2 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto4 (= ${binary:Version}),
 	 libc-dev, libxerces-c3.1
-Replaces: libgyoto0-dev, libgyoto1-dev
-Breaks:   libgyoto0-dev, libgyoto1-dev
+Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev
+Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev
 Description: development files for libgyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
@@ -82,6 +99,30 @@
  exposing the Gyoto facilities. It allows using Gyoto interactively
  from the yorick prompt or running complex Gyoto scripts.
 
+Package: python-gyoto
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Description: General relativistic geodesic integration for the Python 2 language
+ Gyoto aims at providing a framework for computing orbits and
+ ray-traced images in General relativity.
+ .
+ This package provides an extension for the Python 2 programing language
+ exposing the Gyoto facilities. It allows using Gyoto interactively
+ from the Python prompt or running complex Gyoto scripts.
+
+Package: python3-gyoto
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: General relativistic geodesic integration for the Python 3 language
+ Gyoto aims at providing a framework for computing orbits and
+ ray-traced images in General relativity.
+ .
+ This package provides an extension for the Python 3 programing language
+ exposing the Gyoto facilities. It allows using Gyoto interactively
+ from the Python 3 prompt or running complex Gyoto scripts.
+
 Package: gyoto-doc
 Architecture: all
 Section: doc
