## gyoto 1.0.2

=== debian/changelog ===
gyoto (1.0.2-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Rename library packages for g++5 ABI transition.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Feb 2016 12:52:38 +0100

gyoto (1.0.2-2) unstable; urgency=low

  * Bug fix: "FTBFS: gyoto.C: Error initializing libgyoto", thanks to
    Mattia Rizzolo (Closes: #813725).
  * Bug fix: "please make the build reproducible", thanks to Chris Lamb
    (Closes: #797518).
  * Bump Standards-Version to 3.9.7. No change required.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 10 Feb 2016 11:25:37 +0100

gyoto (1.0.2-1ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:41:16 +0000

gyoto (1.0.2-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 01:19:10 +0000

gyoto (1.0.2-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 07:17:02 +0000

gyoto (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "ftbfs with GCC-5", thanks to Matthias Klose (Closes:
    #777893).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 26 Jun 2015 09:57:46 +0200

gyoto (1.0.1-3) unstable; urgency=low

  * Bug fix: "FTBFS on 32-bit systems (assumes size_t is unsigned long)",
    thanks to Aaron M. Ucko (Closes: #787725).
  * Switch to dh-autoreconf since we patch configure.ac.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 05 Jun 2015 17:14:23 +0200
