=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: gyoto
 Section: science
 Priority: extra
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9~), yorick-dev, yorick-yutils,
-	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
-	       libboost-dev (>= 1.53.1), libboost-mpi-dev, autotools-dev,
+	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev, automake,
+	       libboost-dev (>= 1.53.1), libboost-mpi-dev, dh-autoreconf,
 	       mpi-default-dev, dh-python, python-all-dev (>= 2.6.6-3~),
 	       python-setuptools, python3-all-dev, python3-setuptools,
 	       swig3.0, python-numpy, python3-numpy, doxygen, dh-exec (>=0.3)
 Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Testsuite: autopkgtest
@@ -39,11 +40,13 @@
  .
  MPI parallelization requires the mpi-default-bin package.
 
-Package: libgyoto4
+Package: libgyoto4v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: gyoto
+Conflicts: libgyoto4
+Replaces: libgyoto4
 Description: General relativistic geodesic integration and ray-tracing
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
@@ -57,26 +60,26 @@
 Package: gyoto-dbg
 Architecture: any
 Section: debug
-Depends: libgyoto4 (= ${binary:Version}),
+Depends: libgyoto4v5 (= ${binary:Version}),
 	 gyoto (= ${binary:Version}) [!kfreebsd-any],
 	 yorick-gyoto (= ${binary:Version}),
 	 python-gyoto (= ${binary:Version}),
 	 python3-gyoto (= ${binary:Version}),
 	 ${misc:Depends}
-Description: debugging symbols for gyoto, libgyoto4 and yorick-gyoto
+Description: debugging symbols for gyoto, libgyoto4v5 and yorick-gyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick and Python 2 and 3 programing language (in
  yorick-gyoto, python-gyoto and python3-gyoto).
  .
- This package contains the debugging symbols for the gyoto, libgyoto4,
+ This package contains the debugging symbols for the gyoto, libgyoto4v5,
  yorick-gyoto, python-gyoto and python3-gyoto packages.
 
 Package: libgyoto4-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto4 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto4v5 (= ${binary:Version}),
 	 libc-dev, libxerces-c3.1
 Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev
 Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev
