=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	--with-mpi --without-virtualenv --enable-doc
 
 %:
-	dh $@ --with python2,python3,autotools-dev
+	dh $@ --with python2,python3,autoreconf
 
 override_dh_auto_install-arch:
 	dh_auto_install -a
