=== debian/tests/control ===
Tests: gyoto gyoto-mpi
Depends: gyoto, openmpi-bin
Restrictions: allow-stderr

Tests: yorick-gyoto
Depends: yorick-gyoto
Restrictions: allow-stderr

Test-Command: env OMPI_MCA_orte_rsh_agent=/bin/false orterun --mca btl_tcp_if_include lo /usr/bin/yorick -i debian/tests/yorick-gyoto-mpi
Depends: yorick-gyoto, gyoto, openmpi-bin
Restrictions: allow-stderr

Tests: python-gyoto
Depends: python-gyoto, python3-gyoto,
	 python-all, python3-all,
	 python-numpy, python3-numpy,
	 python-matplotlib, python3-matplotlib
Restrictions: allow-stderr

Tests: python-gyoto-mpi
Depends: python-gyoto, python3-gyoto, gyoto,
	 python-all, python3-all,
	 python-numpy, python3-numpy,
	 python-matplotlib, python3-matplotlib,
	 python-mpi4py, python3-mpi4py,
	 openmpi-bin
Restrictions: allow-stderr
